Target version: 4.1.0   

Resolution: Fixed   

Description

Expected behaviour

When doing a HTTP request to /enumerations/time_entry_activities.json it should only return activities marked as "active"

Observed behaviour

All activities are returned

Additionally, the returned values don't contain the values for the "active" field, so filtering on the client-side after fetching is not

possible either.

Additional notes

This was observed on Redmine 3.3.2

I also came across #8573 which notes something similar, but not for the API.

Associated revisions

Revision 18325 - 2019-06-30 07:57 - Go MAEDA

Support "active" attribute in Enumerations REST API (#31559).

Patch by Go MAEDA.

History

#1 - 2019-06-13 08:58 - Go MAEDA

Michel Albert wrote:

Expected behaviour

When doing a HTTP request to /enumerations/time_entry_activities.json it should only return activities marked as "active"

 I think it is better to add "active" field to the response instead of omitting inactive enumerations. What do you think?

#2 - 2019-06-13 13:47 - Michel Albert

Yes. That would work perfectly as well.

#3 - 2019-06-29 11:15 - Go MAEDA

- File 31559.patch added

- Tracker changed from Defect to Feature

- Subject changed from The API on enumerations returns inactive entries as well to  Support "active" attribute in Enumerations REST API

- Target version set to 4.1.0

Here is a patch to add "active" attribute to Enumerations API.

#4 - 2019-06-30 07:58 - Go MAEDA

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Files

31559.patch 2.5 KB 2019-06-29 Go MAEDA
